Bug 152543 - Need to package Mozilla Network Security Services for Java (JSS)
Summary: Need to package Mozilla Network Security Services for Java (JSS)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ldapjdk (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-30 06:00 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0:4.17-1jpp_2fc
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-10 13:24:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anthony Green 2005-03-30 06:00:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The ldapjdk SRPM contains a binary jar file for the Mozilla Network Security Services for Java (JSS) but no source code.  We should ship source and build a package.

The ldapjdk spec file reads:

# FIXME: A jpackage must be created for the
# Mozilla Network Security Services for Java (JSS)
Source2:        jss34.jar

(also, do we mention where to find jss34 source code as per the MPL?)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install the ldapjdk SRPM and have a look.
2.
3.
  

Additional info:

Comment 1 Ismael Olea 2006-08-03 04:35:35 UTC
Jss is being asked in Spanish government web sites using the official X509 PKI
signatures. Without it e-government's X509 services can't be used. So, it's a
must at least for Spanish citizen and government users.

Comment 2 Christian Iseli 2007-01-22 10:54:11 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Anthony Green 2007-03-10 13:24:42 UTC
This was fixed by the following change:

* Thu Jan 27 2005 Gary Benson <gbenson@redhat.com> 0:4.17-1jpp_2fc
- Remove non-distributable files from the source tarball.




Note You need to log in before you can comment on or make changes to this bug.